# coding: utf-8
from __future__ import absolute_import
from pip.download import PipSession
from pip.req.req_file import parse_requirements
from setuptools import setup


def _read_file(path):
    with open(path, 'r') as f:
        return f.read()


def _get_requirements(file_name):
    pip_session = PipSession()
    requirements = parse_requirements(file_name, session=pip_session)

    return tuple(str(requirement.req) for requirement in requirements)


def main():
    setup(
        namespace_packages=(
            'edu_to_analytics',
        ),
        name='edu-to-analytics-service',
        version='1.0.0',
        author=u'БАРС Груп',
        author_email='education_dev@bars-open.ru',
        description=_read_file('readme.txt'),
        url='https://stash.bars-open.ru/projects/EDUBASE/repos'
            '/edu_to_analytics',
        packages=['edu_to_analytics.service'],
        include_package_data=True,
        install_requires=_get_requirements('requirements.txt'),
    )


if __name__ == '__main__':
    main()
